0

I am using Sitecore 9.1. I can able to run my sample angular application in connected mode using the command ">jss start:connected".

But i cant able to open my site in local integrated mode , even in experience editor mode. Its throwing below error

Below image is in normal mode.

enter image description here

Below image is in experience mode.

enter image description here

Error Rendering Sitecore.JavaScriptServices.ViewEngine.Presentation.JsLayoutRenderer: Value cannot be null. Parameter name: address**
    at System.Net.WebClient.UploadString(String address, String data)
    at Sitecore.JavaScriptServices.ViewEngine.NodeServices.HostingModels.Http.HttpNodeInstance.InvokeExport[T](NodeInvocationInfo invocationInfo)
    at Sitecore.JavaScriptServices.ViewEngine.NodeServices.HostingModels.OutOfProcessNodeInstance.InvokeExport[T](String moduleName, String exportNameOrNull, Object[] args)
    at Sitecore.JavaScriptServices.ViewEngine.NodeServices.DefaultNodeServices.InvokeExportWithPossibleRetry[T](String moduleName, String exportedFunctionName, Object[] args, Boolean allowRetry)
    at Sitecore.JavaScriptServices.ViewEngine.NodeServices.DefaultNodeServices.InvokeExportWithPossibleRetry[T](String moduleName, String exportedFunctionName, Object[] args, Boolean allowRetry)
    at Sitecore.JavaScriptServices.ViewEngine.NodeServices.DefaultNodeServices.InvokeExport[T](String moduleName, String exportedFunctionName, Object[] args)
    at Sitecore.JavaScriptServices.ViewEngine.Node.NodeRenderEngine.Invoke[T](String moduleName, String functionName, Object[] functionArgs)
    at Sitecore.JavaScriptServices.ViewEngine.Presentation.JssRenderer.PerformRender(TextWriter writer, IRenderEngine renderEngine, String moduleName, String functionName, Object[] functionArgs)
    at Sitecore.JavaScriptServices.ViewEngine.Presentation.JssRenderer.Render(TextWriter writer)
    at Sitecore.Mvc.Pipelines.Response.RenderRendering.ExecuteRenderer.Render(Renderer renderer, TextWriter writer, RenderRenderingArgs args)

My scconfig.json below

{
  "sitecore": {
    "instancePath": "C:\\inetpub\\wwwroot\\sc910.sc",
    "apiKey": "{A3175524-032C-40F2-88EA-E3C9D57B8D40}",
    "deploySecret": "6g9003yzzjr14fgu0lojm8ccj6ztqsnodpyr6yrlgjttr",
    "deployUrl": "http://sc910.sc/sitecore/api/jss/import",
    "layoutServiceHost": "http://my-angular.dev.local"
  }
}

I checked node path environment variable als. Everything fine. How to troubleshoot this.

  • 1
    Related question: sitecore.stackexchange.com/questions/15086/… Check your node version to ensure it is 10.x (recommended). Though you may also be able to use 8.11 or greater. The error you're seeing basically indicates that the node.exe instance is not running and that the Sitecore->node rendering engine is not able to communicate with it. – Adam Weber Feb 4 at 12:39
  • @AdamWeber My older node version is 8.6 , now i installed V10.15.1 its up and running. I cant find node js compatability here kb.sitecore.net/articles/087164. Do u have compatability table node with sitecore , please post as answer. I will accept urs. – Andi AR Feb 4 at 15:01
  • We always recommend the latest LTS version of Node, which at this point is 10.15: jss.sitecore.com/docs/getting-started/jss-server-install#nodejs We could probably state this more clearly in the docs. – Adam Weber Feb 4 at 19:20
2

I would start by checking your node version to ensure it is the latest LTS version (currently 10.15.1), which is what we generally recommend: https://jss.sitecore.com/docs/getting-started/jss-server-install#nodejs

The error you're seeing basically indicates that the node.exe instance is not running and that the Sitecore-to-Node rendering engine is not able to communicate with the Node instance.

Note: you may be able to use Node 8.11 or greater, but we'd still recommend latest LTS. Your mileage may vary.

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.